org.apache.ignite.ml.dataset.feature.extractor

## Class ExtractionUtils.ObjectLabelVectorizer<K,V,C extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer<K,V,C,Object>
  - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ObjectLabelVectorizer<K,V,C>

- Type Parameters:
    `K` - Key type.
    `V` - Value type
    `C` - Type of coordinate.
  All Implemented Interfaces:
    Serializable, BiFunction<K,V,LabeledVector>, IgniteBiFunction<K,V,LabeledVector>, Preprocessor<K,V>, FeatureLabelExtractor<K,V,Object>
  Direct Known Subclasses:
    ExtractionUtils.IntCoordObjectLabelVectorizer
  Enclosing class:
    ExtractionUtils

      public abstract static class ExtractionUtils.ObjectLabelVectorizer<K,V,C extends Serializable>
      extends Vectorizer<K,V,C,Object>

  Vectorizer with String-label containing on same level as feature values.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `Vectorizer.LabelCoordinate, Vectorizer.VectorizerAdapter<K,V,C extends Serializable,L>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectLabelVectorizer(C... coords)` Creates an instance of Vectorizer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `label(C coord, K key, V value)` Extract label value by given coordinate.
    `protected Object` | `zero()` Returns default label value for unlabeled data.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `allCoords, apply, createVector, exclude, extract, feature, labeled, labeled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.trainers.FeatureLabelExtractor

      `extractFeatures, extractLabel`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### ObjectLabelVectorizer

          public ObjectLabelVectorizer(C... coords)

      Creates an instance of Vectorizer.
      Parameters:
        `coords` - Coordinates.

  - ### Method Detail

    - #### label

          protected Object label(C coord,
                                 K key,
                                 V value)

      Extract label value by given coordinate.
      Specified by:
        `label` in class `Vectorizer<K,V,C extends Serializable,Object>`
      Parameters:
        `coord` - Coordinate.
        `key` - Key.
        `value` - Value.
      Returns:
        label value.

    - #### zero

          protected Object zero()

      Returns default label value for unlabeled data.
      Specified by:
        `zero` in class `Vectorizer<K,V,C extends Serializable,Object>`
      Returns:
        label value.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021